﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour {
    public float speed;
    public AudioClip hitTargetSound;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    void FixedUpdate()
    {
        transform.position += transform.forward * speed * Time.deltaTime;
    }

    void OnTriggerEnter(Collider other)
    {
        Debug.Log("Bullet hit!");
        if (other.gameObject.layer != LayerMask.NameToLayer("Ignore Raycast"))
        {
            if (other.tag == "Player" | other.tag == "Enemy")
            {
                AudioSource.PlayClipAtPoint(hitTargetSound, transform.position);
                Object.Destroy(other.gameObject);
            }
            Object.Destroy(this.gameObject);
        }
    }
}
