﻿using UnityEngine;
using System.Collections;

public class CameraController : MonoBehaviour {
    public Transform target;
    public Vector3 relativePositionToTarget;
    public float moveSpeed;

    private Vector3 targetPos;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    void FixedUpdate()
    {
        if (target != null)
        {
            targetPos = target.position + relativePositionToTarget;
        }

        Vector3 diff = targetPos - transform.position;
        transform.position += diff * moveSpeed;
    }
}
