﻿using UnityEngine;
using System.Collections.Generic;

public class RoomController : MonoBehaviour {
    public List<PressurePlate> platesToPress;
    public List<GameObject> enemiesToDestroy;
    public Door exitDoor;
    public bool spareEnemies;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        bool allPressed = true;
        foreach (PressurePlate p in platesToPress)
        {
            if (p.isPressed == false)
            {
                allPressed = false;
            }
        }

        while (enemiesToDestroy.Contains(null) == true)
        {
            enemiesToDestroy.Remove(null);
        }

        if (allPressed == false & enemiesToDestroy.Count == 0 & spareEnemies == false)
        {
            GameObject.FindGameObjectWithTag("GameController").GetComponent<GameController>().setGameOver("This room is no longer possible.");
        }
        else if (allPressed == true & enemiesToDestroy.Count == 0)
        {
            exitDoor.open();
        } 
	}
}
