﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class GameController : MonoBehaviour {
    public float gameOverDelay;
    public GameObject gameOverPanel;
    public Text impossibleText;
    public GameObject youWinPanel;

    private GameObject player;
    private float gameOverCounter;
    private bool gameOver = false;

	// Use this for initialization
	void Start () {
        player = GameObject.FindGameObjectWithTag("Player");
	}
	
	// Update is called once per frame
	void Update () {
        if (player == null & gameOver == false)
        {
            setGameOver("You died.");
        }
        else if (gameOver == true)
        {
            if (gameOverCounter <= 0)
            {
                gameOverPanel.SetActive(true);
            }
            else
            {
                gameOverCounter -= Time.deltaTime;
            }
        }
	}

    public void restart()
    {
        Application.LoadLevel("Game");
    }

    public void mainMenu()
    {
        Application.LoadLevel("Menu");
    }

    public void setGameOver(string message)
    {
        if (gameOver == false)
        {
            gameOverCounter = gameOverDelay;
            gameOver = true;
            impossibleText.text = message;
        }
    }

    public void setYouWin()
    {
        youWinPanel.SetActive(true);
    }
}
